### Name: UnitrootTests
### Title: Unit Root and Cointegration Time Series Tests
### Aliases: UnitrootTests fURTEST fURTEST-class urTest adfTest
###   unitrootTest tsadfTest tskpssTest tspoTest tsppTest urersTest
###   urkpssTest urppTest urspTest urzaTest print.fURTEST summary.fURTEST
### Keywords: htest

### ** Examples

## Unit Root Tests build on Adrian Trapletti's Implementation:

## tsadfTest - 
   xmpSeries("\nStart: Augmented Dickey-Fuller Test for Unit Roots >")
   # A time series which contains no unit-root:
   x = rnorm(1000)  
   tsadfTest(x)
   # A time series which contains a unit-root:
   y = diffinv(x)
   tsadfTest(y)

## tskpssTest -
   xmpSeries("\nNext: KPSS test for Level or Trend Stationary >")
   # Time Series is Level Stationary:
   x = rnorm(1000)
   tskpssTest(x)
   # Time Series has Unit Root:
   tskpssTest(cumsum(x))
   # Time Series is Trend Stationary:
   x = 0.3*(1:1000) + rnorm(1000)
   tskpssTest(x, nullhyp = "trend")
   
## tspoTest -
   xmpSeries("\nNext: Phillips-Ouliaris Test for Cointegration >")
   # Non-Cointegrated Case:
   x = ts(diffinv(matrix(rnorm(2000), 1000, 2)))
   tspoTest(x)
   # Cointegrated Case:
   x = diffinv(rnorm(1000))
   y = 2.0 - 3.0 * x + rnorm(x, sd = 5)
   z = ts(cbind(x, y))
   tspoTest(z)
   
## tsppTest -
   xmpSeries("\nNext: Phillips-Perron Test for Unit Roots >")
   # The Time Series has no Unit Root:
   x = rnorm(1000)
   tsppTest(x)
   # The Time Series has Unit Root:
   y = cumsum(x)  
   tsppTest(y)     
 
## Unit Root Tests build on Bernhard Pfaff's Implementation:
    
## ur*Test - 
   # Examples can be found in the demo file "xmpTestUnitRoots".  



